.custom-404-section {
    padding: 1.75rem 1rem 1.5rem 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.button.button-default.custom-404-no-border-button {
    padding: 1rem 2rem;
    border: none;
}

.custom-404-container {
    min-height: 48.75rem;
    background-color: var(--bbva-primary-color-light);
    border-radius: 1rem;
    width: 100%;
    padding: 3.75rem 2.5rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    gap: 0rem;
    box-sizing: border-box;
    padding-left: 6rem;
}

.custom-404-card {
    background-color: var(--bbva-container-background);
    border-radius: 0.75rem;
    padding: 1.5rem;
    max-width: 37.5rem;
    width: 100%;
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
    box-sizing: border-box;
    flex: 1;
}

.custom-404-title {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.custom-404-text {
    font-size: 1.25rem;
    line-height: 2rem;
    margin-bottom: 1.5rem;
}

.custom-404-illustration {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 31.25rem;
}

.custom-404-img {
    width: 100%;
    height: auto;
    object-fit: contain;
}

@media (max-width: 992px) {
    .custom-404-container {
        flex-direction: column-reverse;
        padding: 2.5rem 1.25rem;
        text-align: left;
        min-height: auto;
    }

    .custom-404-card {
        max-width: 100%;
    }

    .custom-404-illustration {
        max-width: 80%;
    }

    .custom-404-title {
        font-size: 2rem;
        margin-bottom: 1rem;
    }

    .custom-404-text {
        font-size: 1.125rem;
        margin-bottom: 1rem;
    }
}